/******************************************************************************
 dialog_hello.cc
 
 Written by Glenn Bach - 1997.

 ******************************************************************************/

#include "DialogHelloDir.h"
#include <JXApplication.h>
#include <jAssert.h>

/******************************************************************************
 main

 ******************************************************************************/

int
main
	(
	int		argc,
	char*	argv[]
	)
{
	// Create the application object - there should only be one of these
	JXApplication* app = new JXApplication(&argc, argv);
	assert( app != NULL );

	// Create the window director to maintain the Hello World window
	DialogHelloDir* mainDir = new DialogHelloDir(app);
	assert( mainDir != NULL );

	// Show the window and activate it
	mainDir->Activate();
	
	// Start the event loop
	app->Run();				
	return 0;
}
